Bug 27823 - List upcoming steps during installation process
Summary: List upcoming steps during installation process
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-01 15:42 UTC by Owen Leonard
Modified: 2022-06-06 20:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Screenshot of the proposed change (92.28 KB, image/png)
2021-03-01 15:42 UTC, Owen Leonard
Details
Bug 27823: List upcoming steps during installation process (30.82 KB, patch)
2021-03-01 15:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27823: List upcoming steps during installation process (30.68 KB, patch)
2021-10-15 12:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27823: List upcoming steps during installation process (30.71 KB, patch)
2021-10-28 10:05 UTC, David Nind
Details | Diff | Splinter Review
Bug 27823: List upcoming steps during installation process (30.77 KB, patch)
2021-10-28 18:03 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-01 15:42:41 UTC
Created attachment 117457 [details]
Screenshot of the proposed change

I think it would be nice for the user installing Koha to be able to see what the upcoming steps were. See attached.
Comment 1 Owen Leonard 2021-03-01 15:53:17 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-03-01 15:54:51 UTC
It feels dumb to repeat the block of markup again and again but when I thought about how I could use an include file the logic looked just as convoluted. If someone has a good idea I'd love to hear it!
Comment 3 Owen Leonard 2021-10-15 12:30:05 UTC Comment hidden (obsolete)
Comment 4 David Nind 2021-10-28 10:05:39 UTC Comment hidden (obsolete)
Comment 5 Martin Renvoize 2021-10-28 18:03:22 UTC
Created attachment 127070 [details] [review]
Bug 27823: List upcoming steps during installation process

This patch adds text to each step of the installation process showing
which steps have been completed, which step is current, and which steps
come next. This helps the user know where they are in the process.

To test, apply the patch and begin the process of installing Koha. In my
testing environment I drop the Koha database and create it again.

On each step of the installation process, confirm that the list of steps
is correct, showing the right stage in the process.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2021-10-28 18:04:15 UTC
Nice enhancement.. works well and looks good.  No regressions, no QA script failures..

Passing QA
Comment 7 Jonathan Druart 2021-11-03 14:30:35 UTC
Pushed to master for 21.11, thanks to everybody involved!